# Be sure to restart your server when you modify this file.

# Your secret key for verifying cookie session data integrity.
# If you change this key, all old sessions will become invalid!
# Make sure the secret is at least 30 characters and all random, 
# no regular words or you'll be exposed to dictionary attacks.

PATH_TO_SECRET = File.join(RAILS_ROOT, 'config', 'secret.yml')

begin
  secret = YAML.load_file(PATH_TO_SECRET)["secret"]
rescue
  secret = ActiveSupport::SecureRandom.hex(64)
  File.open(PATH_TO_SECRET, 'w') {|file| YAML.dump({"secret" => secret}, file)}
end

ActionController::Base.session = {
  :key         => '_aspera_console_session',
  :secret      => secret,
  :secure      => (Rails.env == 'production'),
  :path        => '/aspera/console',
}

# Use the database for sessions instead of the cookie-based default,
# which shouldn't be used to store highly confidential information
# (create the session table with "rake db:sessions:create")
# ActionController::Base.session_store = :active_record_store
