class DbEncryptDecrypt

    def initialize(path_to_secret)
       @path_to_secret = path_to_secret
    end

    def secret
        @secret ||= YAML.load_file(@path_to_secret)["secret"]
    end
    
    def encrypt(password)
        EzCrypto::Key.new(secret).encrypt64(password).strip
    end
    
    def decrypt(password)
        EzCrypto::Key.new(secret).decrypt64(password)
    end
    
    def is_encrypted?(password)
        begin
          EzCrypto::Key.new(secret).decrypt64(password)
        rescue
          return false
        end
    
        true
    end
end ̰