# Console 3.4.2 Patch Level 9
**Operating System:** Windows
**Date:** 04/11/2024

This patch includes the following fixes:
### PATCH LEVEL 9 FIXES
| GitHub Issue          | Description                                                                                                        |
| --------------------- |--------------------------------------------------------------------------------------------------------------------|
| Aspera/console#489    | WatchFolder scan_period field unsupported.                                                                         |
| Aspera/console#225    | Console does not set watchd scan_period on WatchFolder creation                                                    |
| Aspera/console#491    | Custom Maps cause web-browser OOM (out of memory) problems                                                         |
| Aspera/console#533    | AC-938 - The MySQL packaged with the Aspera Common Components does not encrypt the MySQL database password.        |
| --------------------- | -------------------------------------------------------------------------------------------------------------------|

### PATCH LEVEL 8 FIXES
| GitHub Issue          | Description                                                                                                        |
| --------------------- |--------------------------------------------------------------------------------------------------------------------|
| Aspera/console#539    | An error is shown while generating an advanced report in Console after the MySQL 8 upgrade.                        |
| Aspera/console#536    | Updated migration script to address an error with asctl console:setup when migrating tables to MySQL 8.            |
| Aspera/console#538    | Running advanced reports after copying them shows an error                                                         |
| --------------------- | -------------------------------------------------------------------------------------------------------------------|

### PATCH LEVEL 7 FIXES
| GitHub Issue | Description                                      |
| ---------- |----------------------------------------------------|
| Aspera/console#526    | FQDN not allowed in managed/unmanaged node. Allow FQDN node addresses                |
| Aspera/console#525    | Application does not honour Brazilian timezone DST rule                              |
| Aspera/console#94     | PSIRT: PVR0392223 - SQL Injection fix; sanitize fields for SQL                       |
| Aspera/console#86     | PSIRT: PVR0392219 - Remove error messages revealing details                          |
| Aspera/console#436    | PSIRT: 88176 - Ensure cookie path is restricted to /aspera/console                   |
| ---------- | ----------------------------------------------------------------------------------------------- |
### PATCH LEVEL 6 FIXES
| GitHub Issue | Description                                      |
| ---------- |----------------------------------------------------|
| Aspera/console#479    | Better handling of http request at are large of 48860 characters                     |
| Aspera/console#480    | Intermittent SAML login failures                                                     |
| Aspera/console#498    | Sync Jobs incompatibility with HSTS 4.4.1 and newer                                  |
| Aspera/console#188    | PSIRT: Pentest 58257: Cross Site Scripting (Input Validation)                        |
| ---------- | ----------------------------------------------------------------------------------------------- |

### PATCH LEVEL 5 FIXES
| GitHub Issue | Description                                      |
| ---------- |----------------------------------------------------|
| Aspera/console#120    | PSIRT: OpenSSL 1.0.2zb upgrade                                                           |
| Aspera/console#132    | PSIRT: Apache 2.4.55 upgrade                                                           |
| Aspera/console#157    | Upgrade OpenSSL to 1.1.1m or later in Apache/Faspex  (Linux & Windows)                                                          |
| Aspera/console#430    | PSIRT: [All] Apache HTTP Server                                                            |
| ---------- | ----------------------------------------------------------------------------------------------- |

### PATCH LEVEL 4 FIXES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1232    | Adds additional debug logging to database ingest background processing                          |
| ---------- | ----------------------------------------------------------------------------------------------- |

### PATCH LEVEL 3 FIXES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1218    | Aspera console database WEB UI backup failed                                                    |
| ---------- | ----------------------------------------------------------------------------------------------- |


### PATCH LEVEL 2 FIXES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1176    | Provide rake task to modify/delete managed node credentials                                     |
| AC-1092    | Console - Unknown user option: “log_count” - with HSTS 4.0.1.                                 |
| ---------- | ----------------------------------------------------------------------------------------------- |


### PATCH LEVEL 1 FIXES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1162    | When reporting on a transfer with files located in S3, Console email notifications URL encode the file paths. |
| AC-1158    | Added a new rake task to programmatically add nodes to Console. |
| AC-1157    | The character limit on the **Include filter** option for Smart Transfers is too low to enter multiple file names. |
| AC-1152    | Documented different behavior of the **Specify base for source path** option if multiple files and folders are selected for the source and the destination node is a Shares endpoint. |
| --------   | ----------------------------------------------------------------------------------------------- |

### KNOWN ISSUES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AC-1160    | An open tab that stays on the Dashboard page eventually stops responding and the browser kills the tab. |
| ---------- | ----------------------------------------------------------------------------------------------- |

### RAKE TASK INSTRUCTIONS

Add a managed node (with example data):
```
asctl console:rake aspera:managed_node:create ASPERA_NODE_ADDRESS='<hsts_server_ip_address>' ASPERA_NODE_NAME='<name_displayed_in_console>' ASPERA_NODE_API_LOGIN='<node_api_user_username>' ASPERA_NODE_API_PASSWORD='<node_api_user_password>' ASPERA_NODE_API_PORT=9092 ASPERA_NODE_SSH_PORT=22 ASPERA_NODE_SSH_ENCRYPTION='<encryption_type (for examle, AES129-ctr)>'
```

Add an unmanaged node (with example data):
```
asctl console:rake aspera:unmanaged_node:create ASPERA_NODE_ADDRESS='<hsts_server_ip_address>' ASPERA_NODE_NAME='<name_displayed_in_console>' ASPERA_NODE_SSH_PORT=22

```

## PATCH INSTRUCTIONS

### Applying the patch for Windows systems:
1. Download the patch file (`IBM_Aspera_Console_3.4.2_Windows_Patch_Level_9.zip`) and unzip it.

3. Make sure to back up all the files in the Console folder (`C:\Program Files (x86)\Aspera\Management Console\`) and Common folder (`C:\Program Files (x86)\Common Files\Aspera\Common\`).

4. Stop all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Stop** from the drop-down menu.

    Or

    a. Using CMD run ```asctl all:stop```

5. Copy the patch files to the appropriate directories in the Console folder (`C:\Program Files (x86)\Aspera\Management Console\`) and Common folder (`C:\Program Files (x86)\Common Files\Aspera\Common\`) to replace the existing files.

6. Upgrade Apache service:

    ```asctl apache:upgrade```

7. Restart all Console services:

    a. Go to **Control Panel > Administrative Tools > Services**.

    b. For every service with IBM Aspera Console in the name, right-click on the service and select **Restart** from the drop-down menu.

    Or

    a. Using CMD run ```asctl all:restart```

8. Update the database schema:

    ```asctl console:migrate_database```

    **Note:** Migrating the database may take a long time depending on the number of records in the database. In an IBM Aspera test environment, a database with six million records took 20 minutes to migrate. This is an example, not a benchmark. Migration times will depend on your environment and the number of records in your database.

9. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

### Migrating Console 3.4.2 to MySQL 8.x

#### Follow these steps to connect Console 3.4.2 to MySQL 8 server
1. Stop all aspera services on the console server:
   ```asctl all:stop```

   **IMPORTANT: Before proceeding with the next steps, apply Console Patch Level 8 or above following the
instructions above.**

2. Backup your database:
   ```asctl console:backup_database```
The command will create a backup of the console database and display the path of the backup
file
3. Backup the ```/opt/aspera/console``` directory.
4. Setup MySQL 8 according to your platform and note the IP address (```127.0.0.1``` if set up locally on
the same server as console) and the port (default is ```3306```) of the MySQL 8 server
5. Edit the ```my.ini``` (Windows) file of the MySQL 8 server (refer to the docs
specific to your MySQL 8 installation for the exact path of this file) and add the following lines to
the end of the file:
   ```
   bind-address=0.0.0.0
   default-authentication-plugin=mysql_native_password
   log_bin_trust_function_creators = 1
   sql_mode=''
   ```
   You will also need to add the following line if your password_validate plugin is activated:
   ```
   validate_password.policy=LOW
   ```
   Save your changes and exit.
6. Restart the MySQL 8 server.
7. Login to the MySQL 8 server and enter the following commands with the right values:
   ```
   mysql> CREATE USER '[USERNAME/root]'@'[CONSOLE HOSTNAME OR IP]’ 
          IDENTIFIED WITH mysql_native_password BY [YOUR PASSWORD FOR THE USER]
   mysql> GRANT ALL PRIVILEGES ON *.* TO '[USERNAME or root]'@'[CONSOLE HOSTNAME OR IP]’ WITH GRANT OPTION;
   mysql> FLUSH PRIVILEGES;
   ```
8. In the console server run:
   ```asctl console:setup```
9. Type ```d``` for detailed setup.
10. Type ```n``` for MySQL not running locally (even if your MySQL 8 service is running in the same
server as console).
11. Enter the IP address of the MySQL 8 server (```127.0.0.1``` for MySQL 8 running on the same server)
12. Enter the port and user (should be **root** user).
13. Type the password for the root user.
14. The next prompt should be for the IP/DNS address for the console server. If you instead
encounter a Connection Error, check the grants in MySQL 8 for the username and console server
IP/DNS and retry the console setup
15. Follow the rest of the setup with the current settings and it should finish successfully.
16. Your Console server will now have no data and will be fresh.
Run the following command ONLY IF you need to add an admin user at this point and you don’t
need the backup:
   ```asctl console:rake -v aspera:admin_user PASSWORD=<new password> EMAIL=<email> LOGIN=<username>```

#### Restore the console database backup
1. Stop all aspera services:
   ```asctl all:stop```
2. Decrypt the database passwords:
   ```asctl console:rake aspera:db:decrypt_database_passwords```
3. Upload the backup acquired from step 2 in the previous section, into the MySQL 8 server.
Restore into the new MySQL 8 database by running the following command in the MySQL 8
server:
   ```mysql –u root –p –f < aspera_console.sql```
4. Restart all the services:
   ```asctl all:start```
5. Encrypt the database passwords:
   ```asctl console:rake aspera:db:encrypt_database_passwords```
6. Login and verify that Console runs as before with all its data.

© IBM Aspera. Copyright IBM Corp. 2009, 2023
